function love.load()
    love.window.setMode(1000, 768)

    playerStartX = 300
    playerStartY = 35

    cameraFile = require 'hump/camera'

    cam = cameraFile()

    wf = require 'windfield/windfield'
    world = wf.newWorld(0, 900, false)
    world:setQueryDebugDrawing(true)
    
    world:addCollisionClass('platform')
    world:addCollisionClass('player'--[[, {ignores = {'platform'}}]])
    world:addCollisionClass('danger')
    
    player = world:newRectangleCollider(playerStartY, playerStartX, 80, 80, {collision_class = "player"})
    player.speed = 240
    player:setFixedRotation(true)
    
    platform = world:newRectangleCollider(0, 400, 300, 100, {collision_class = "platform"}) --spawnpoint
    platform:setType('static')

    platform = world:newRectangleCollider(400, 280, 300, 100, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(400, 80, 300, 100, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(800, 180, 100, 25, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(800, 1, 300, 25, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(1400, 100, 300, 100, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(1900, 100, 25, 25, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(2100, 100, 25, 25, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(2300, 100, 25, 25, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(2500, 100, 25, 25, {collision_class = "platform"})
    platform:setType('static')

    platform = world:newRectangleCollider(2800, 280, 300, 100, {collision_class = "EndPlatform1"}) --EndPlatform
    platform:setType('static')

    dangerZone = world:newRectangleCollider(0, 550, 10000000, 50, {collision_class = "danger"})
    dangerZone:setType('static')
end

function love.update(dt)
    world:update(dt)

    local px, py = player:getPosition()
    cam:lookAt(px, love.graphics.getHeight()/2)

    if player.body then
    local px, py = player:getPosition()
    if love.keyboard.isDown('d', 'right') then
    player:setX(px + player.speed*dt)
      end
      if love.keyboard.isDown('a', 'left') then
       player:setX(px - player.speed*dt)
      end
    
      if player:enter('danger') then
        player:setPosition(playerStartY, playerStartX)
      end
     end
end 

function love.draw()
cam:attach()
  world:draw()
cam:detach()
end

function love.keypressed(key)
    if key == 'space' then
        local colliders = world:queryRectangleArea(player:getX() - 40, player:getY() + 40, 80, 1, {'platform'})
        if #colliders > 0 then
        player:applyLinearImpulse(150, -6001)
    end
  end
end